Bug 139713 - UI Footnote/endnote settings dialog caption
Summary: UI Footnote/endnote settings dialog caption
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: low enhancement
Assignee: Ayhan Yalçınsoy
URL:
Whiteboard: target:7.2.0
Keywords: difficultyBeginner, easyHack, skillDesign, topicUI
Depends on:
Blocks:
 
Reported: 2021-01-17 18:44 UTC by Telesto
Modified: 2021-05-07 05:00 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2021-01-17 18:44:38 UTC
Description:
UI Footnote/endnote settings dialog caption

Steps to Reproduce:
1. Open Writer
2. Tools -> Footnote/endnote settings 

Actual Results:
It's called Footnote/endnote settings 

Expected Results:
* Prefer properties above 'settings'. It's called table properties.
* Dislike the slash. 

Or simply Footnotes and endnotes (equal to the menu entry)


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.2.0.0.alpha0+ (x64)
Build ID: f2171af6ce3516598d9f8bac8294025a21a5b1a2
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Heiko Tietze 2021-02-04 08:23:03 UTC
Sascha commented the dialog has other label than menu entry, slash bad practice for titles, and suggest naming dialog and menu entry to "Foot- and Endnotes...".

Me agrees to "Footnotes and Endnotes Settings" (like the command is labelled) but not to properties. Hyphen is as bad as slash.

Code pointer: sw/uiconfig/swriter/ui/footendnotedialog.ui
Comment 2 Adolfo Jayme 2021-02-04 14:07:07 UTC
I disagree.

“Footnotes and Endnotes Settings” ⤔ first, in English you don’t pluralize adjectival constructions, just the noun. Then, the conjunction “and” implies you are modifying settings for both kinds of notes, when in actuality settings apply to both kinds and you may have only one kind of notes in your document, so the slash works better there. Third, this is much longer and will take more space in localized versions of the software. Fourth, this creates more churn for localizers and documenters.
Comment 3 Heiko Tietze 2021-02-04 16:47:14 UTC
Keep in mind that it's about the dialog title. So size is not too precious. 

How about "Settings of Footnotes and Endnotes"?
Comment 4 Commit Notification 2021-05-04 09:11:15 UTC
Ayhan Yalçınsoy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/42db696496c8e95ee7489d2800bd6a5400391959

tdf#139713:Renamed Footnote/endnote settings dialog caption

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 BogdanB 2021-05-07 05:00:17 UTC
Solved.

Verified in Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 1a99b4e44190e182d56a04678850d62635d74c65
CPU threads: 4; OS: Linux 5.8; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded